Subject: RE: [P2Prg] [mobility-temp]: initial collection and structure of subgroup re search items

From: "Johan Hjelm (KI/EAB)" <[email-masked]>
Date: Fri, 9 Jan 2004 15:25:37 +0100

Frank-Uwe, 
this is a good starting point, and should take us quite a bit into the mobile domain. However, as a general comment, I think the list is a bit skimpy in the mobile optimizations department. The messaging between peers can be done in several ways, some of which will e.g. tolerate more latency and be less sensitive to disconnections than others. This type of aspects is what I would look for in the result of this sub-group. 

IMHO, a section on protocol design (in cellular as well as ad-hoc networks) would be desirable. 

Also, I think we should define a track on "mobile optimizations" under Content and services. We can either explain how each content/service we develop is mobile optimized, or we can come up with a set of generic guidelines. I would prefer the latter. 

Also, I would like a section on "interfacing non-mobile networks". This comes from our work in proxying, and I would suggest that this goes under the "application" section. There can be a set of generic recommendations for proxies, as well as a set of specifics. 

I do not understand why you are highlighting SIP/MIP, perhaps you could explain?

Why do you see ontological routing as a specifically mobile aspect? I would have thought this would go into some generic topology/routing group.

I look forward to version 2.0, on which I am sure to have some more comments...

Johan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Andersen Frank-Uwe
> Sent: den 7 januari 2004 15:34
> To: [email-masked]'
> Subject: [P2Prg] [mobility-temp]: initial collection and structure of
> subgroup re search items
> 
> 
> 
> Dear sub-group,
> 
> in order to take a step forward, I collected the results of 
> the initial opinion poll on p2p mobility to compile a very 
> first, tentative structure with suggested research directions 
> (still very high-level). It takes into account and reflects 
> what has been named by our subgroup participants, i.e. their 
> research interests and current/past activities.
> 
> It does not look like very much yet, but it should serve the 
> purpose of getting into discussions again and to generate a 
> common viewing angle on the subject. I will be happy to be 
> the moderator. 
> 
> I did check with the descriptions of the other subgroups and 
> tried my best to stay clear of too many overlaps. It is 
> evident, however, that we relate to the routing subgroup.
> 
> It would be nice if everybody who volunteered for 
> participation in the mobility subgroup could give their 
> comments to the attached small text. Don't hesitate to use 
> the "comment" mechanism in WORD. We may also switch to other 
> forms of collaborative online work, such as writable web 
> mechanisms (e.g. webdav, cvs, etc.).
> 
> My understanding is that we are not by all means trying to do 
> a brand new design for a p2p system yet (see the charter). 
> Instead, what we will do is to start by analysis, and then to 
> switch over to find solutions or enhancements eventually. So, 
> if we can agree on this (or a refined, advanced) version of 
> the attached, proposed structure, then our next step _might_ 
> be the collection of mobile device requirements and mobile 
> infrastructure limitations that specifically affect p2p.
> 
> 
> btw. a short time ago the IRTF announced the start of a 
> dedicated IP mobility optimizations group 
> http://www.irtf.org/charters/mobopts.html . If we ever come 
> to a point where we need extensions to e.g. mobile-ip for 
> p2p, this might be a place where we can find people to 
> discuss it with.
> 
> 
> I wish everybody a successful new year,
> 
> Frank-Uwe
> 
> p.s. Cheers to Luca for a well-done article in the "p2p journal"!
> 
> 

_______________________________________________
P2prg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/p2prg